cascading.flow.planner

## Class BaseFlowNodeFactory

- java.lang.Object
- - cascading.flow.planner.BaseFlowNodeFactory

- All Implemented Interfaces:
    FlowNodeFactory

      public class BaseFlowNodeFactory
      extends java.lang.Object
      implements FlowNodeFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseFlowNodeFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlowNode` | `createFlowNode(FlowElementGraph flowElementGraph, ElementGraph nodeSubGraph, java.util.List<? extends ElementGraph> pipelineGraphs)`
    `java.lang.String` | `makeFlowNodeName(FlowNode flowNode, int size, int ordinal)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseFlowNodeFactory

          public BaseFlowNodeFactory()

  - ### Method Detail

    - #### createFlowNode

          public FlowNode createFlowNode(FlowElementGraph flowElementGraph,
                                ElementGraph nodeSubGraph,
                                java.util.List<? extends ElementGraph> pipelineGraphs)

      Specified by:
        `createFlowNode` in interface `FlowNodeFactory`

    - #### makeFlowNodeName

          public java.lang.String makeFlowNodeName(FlowNode flowNode,
                                          int size,
                                          int ordinal)

      Specified by:
        `makeFlowNodeName` in interface `FlowNodeFactory`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.